https://bugs.gentoo.org/show_bug.cgi?id=449916#c1
reported upstream as http://code.google.com/p/goobook/issues/detail?id=39

diff -uNr goobook-1.4.old/goobook/goobook.py goobook-1.4/goobook/goobook.py
--- goobook-1.4.old/goobook/goobook.py	2012-11-10 08:00:44.000000000 -0500
+++ goobook-1.4/goobook/goobook.py	2013-07-06 23:27:02.091729438 -0400
@@ -37,11 +37,11 @@
 import time
 import xml.etree.ElementTree as ET
 
-from hcs_utils.storage import Storage
+from hcs_utils.storage import Storage, storageify, unstorageify
 
 log = logging.getLogger(__name__)
 
-CACHE_FORMAT_VERSION = '3.2'
+CACHE_FORMAT_VERSION = '4.0'
 G_MAX_SRESULTS = 9999 # Maximum number of entries to ask google for.
 GDATA_VERSION = '3'
 ATOM_NS = '{http://www.w3.org/2005/Atom}'
@@ -243,8 +243,8 @@
                 log.info('Failed to read the cache file: %s', err)
                 raise
         if cache:
-            self.contacts = cache.get('contacts')
-            self.groups = cache.get('groups')
+            self.contacts = storageify(cache.get('contacts'))
+            self.groups = storageify(cache.get('groups'))
         else:
             self.update()
         if not self.contacts:
@@ -262,7 +262,7 @@
 
         """
         if self.contacts: # never write a empty addressbook
-            cache = {'contacts': self.contacts, 'groups': self.groups, 'goobook_cache': CACHE_FORMAT_VERSION}
+            cache = {'contacts': unstorageify(self.contacts), 'groups': unstorageify(self.groups), 'goobook_cache': CACHE_FORMAT_VERSION}
             pickle.dump(cache, open(self.__config.cache_filename, 'wb'))
 
     def get_group(self, id_):
diff -uNr goobook-1.4.old/goobook.egg-info/requires.txt goobook-1.4/goobook.egg-info/requires.txt
--- goobook-1.4.old/goobook.egg-info/requires.txt	2012-11-10 08:01:54.000000000 -0500
+++ goobook-1.4/goobook.egg-info/requires.txt	2013-07-06 23:29:30.206725062 -0400
@@ -1,6 +1,5 @@
-argparse>=1.1
 distribute
 gdata>=2.0.7
-hcs_utils==1.1.1
+hcs_utils>=1.3
 simplejson>=2.1.0
 keyring>=0.2
\ No newline at end of file
diff -uNr goobook-1.4.old/setup.py goobook-1.4/setup.py
--- goobook-1.4.old/setup.py	2012-11-10 08:00:44.000000000 -0500
+++ goobook-1.4/setup.py	2013-07-06 23:27:45.351728160 -0400
@@ -58,10 +58,9 @@
         """.splitlines() if f.strip()],
       license = 'GPLv3',
       install_requires = [
-          'argparse>=1.1',
           'distribute',
           'gdata>=2.0.7',
-          'hcs_utils==1.1.1',
+          'hcs_utils>=1.3',
           'simplejson>=2.1.0',
           'keyring>=0.2'],
       packages = find_packages(),
